com.google.cloud.dataflow.sdk.options

## Class DataflowProfilingOptions.DataflowProfilingAgentConfiguration

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap<String,Object>
    - - com.google.cloud.dataflow.sdk.options.DataflowProfilingOptions.DataflowProfilingAgentConfiguration

All Implemented Interfaces:
  Serializable, Cloneable, Map<String,Object>

Enclosing interface:
  DataflowProfilingOptions

    public static class DataflowProfilingOptions.DataflowProfilingAgentConfiguration
    extends HashMap<String,Object>

Configuration the for profiling agent.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class java.util.AbstractMap

`AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

### Nested classes/interfaces inherited from interface java.util.Map

`Map.Entry<K,V>`

### Constructor Summary

Constructors
Constructor and Description
`DataflowProfilingAgentConfiguration()`

### Method Summary

### Methods inherited from class java.util.HashMap

`clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

### Methods inherited from class java.util.AbstractMap

`equals, hashCode, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Map

`equals, hashCode`

### Constructor Detail

#### DataflowProfilingAgentConfiguration

    public DataflowProfilingAgentConfiguration()